diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/core/model/random-variable-stream.h ns-3.44/src/core/model/random-variable-stream.h
--- ns-3.43/src/core/model/random-variable-stream.h	2024-10-09 16:41:09.860655800 -0700
+++ ns-3.44/src/core/model/random-variable-stream.h	2025-03-09 16:55:49.363371100 -0700
@@ -1248,37 +1248,37 @@
 {
   public:
     /**
-     * \brief Register this type.
-     * \return The object TypeId.
+     * @brief Register this type.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Creates a gamma distribution RNG with the default values
+     * @brief Creates a gamma distribution RNG with the default values
      * for alpha and beta.
      */
     GammaRandomVariable();
 
     /**
-     * \brief Returns the alpha value for the gamma distribution returned by this RNG stream.
-     * \return The alpha value for the gamma distribution returned by this RNG stream.
+     * @brief Returns the alpha value for the gamma distribution returned by this RNG stream.
+     * @return The alpha value for the gamma distribution returned by this RNG stream.
      */
     double GetAlpha() const;
 
     /**
-     * \brief Returns the beta value for the gamma distribution returned by this RNG stream.
-     * \return The beta value for the gamma distribution returned by this RNG stream.
+     * @brief Returns the beta value for the gamma distribution returned by this RNG stream.
+     * @return The beta value for the gamma distribution returned by this RNG stream.
      */
     double GetBeta() const;
 
     /**
-     * \copydoc GetValue()
-     * \param [in] alpha Alpha value for the gamma distribution.
-     * \param [in] beta Beta value for the gamma distribution.
+     * @copydoc GetValue()
+     * @param [in] alpha Alpha value for the gamma distribution.
+     * @param [in] beta Beta value for the gamma distribution.
      */
     double GetValue(double alpha, double beta);
 
-    /** \copydoc GetValue(double,double) */
+    /** @copydoc GetValue(double,double) */
     uint32_t GetInteger(uint32_t alpha, uint32_t beta);
 
     // Inherited
@@ -1287,12 +1287,12 @@
 
   private:
     /**
-     * \brief Returns a random double from a normal distribution with the specified mean, variance,
+     * @brief Returns a random double from a normal distribution with the specified mean, variance,
      * and bound.
-     * \param [in] mean Mean value for the normal distribution.
-     * \param [in] variance Variance value for the normal distribution.
-     * \param [in] bound Bound on values returned.
-     * \return A floating point random value.
+     * @param [in] mean Mean value for the normal distribution.
+     * @param [in] variance Variance value for the normal distribution.
+     * @param [in] bound Bound on values returned.
+     * @return A floating point random value.
      */
     double GetNormalValue(double mean, double variance, double bound);
 
@@ -1313,8 +1313,8 @@
 }; // class GammaRandomVariable
 
 /**
- * \ingroup randomvariable
- * \brief The Erlang distribution Random Number Generator (RNG) that
+ * @ingroup randomvariable
+ * @brief The Erlang distribution Random Number Generator (RNG) that
  * allows stream numbers to be set deterministically.
  *
  * This class supports the creation of objects that return random numbers
@@ -1353,7 +1353,7 @@
  *
  * where the \f$u_i\f$ are \f$k\f$ uniform random variables on [0,1).
  *
- * \par Example
+ * @par Example
  *
  * Here is an example of how to use this class:
  * \code{.cc}
@@ -1365,9 +1365,9 @@
  *   x->SetAttribute ("Lambda", DoubleValue (lambda));
  *
  *   double value = x->GetValue ();
- * \endcode
+ * @endcode
  *
- * \par Antithetic Values.
+ * @par Antithetic Values.
  *
  * If an instance of this RNG is configured to return antithetic values,
  * the actual value returned, \f$x'\f$, is generated as follows:
@@ -1382,37 +1382,37 @@
 {
   public:
     /**
-     * \brief Register this type.
-     * \return The object TypeId.
+     * @brief Register this type.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Creates an Erlang distribution RNG with the default values
+     * @brief Creates an Erlang distribution RNG with the default values
      * for k and lambda.
      */
     ErlangRandomVariable();
 
     /**
-     * \brief Returns the k value for the Erlang distribution returned by this RNG stream.
-     * \return The k value for the Erlang distribution returned by this RNG stream.
+     * @brief Returns the k value for the Erlang distribution returned by this RNG stream.
+     * @return The k value for the Erlang distribution returned by this RNG stream.
      */
     uint32_t GetK() const;
 
     /**
-     * \brief Returns the lambda value for the Erlang distribution returned by this RNG stream.
-     * \return The lambda value for the Erlang distribution returned by this RNG stream.
+     * @brief Returns the lambda value for the Erlang distribution returned by this RNG stream.
+     * @return The lambda value for the Erlang distribution returned by this RNG stream.
      */
     double GetLambda() const;
 
     /**
-     * \copydoc GetValue()
-     * \param [in] k K value for the Erlang distribution.
-     * \param [in] lambda Lambda value for the Erlang distribution.
+     * @copydoc GetValue()
+     * @param [in] k K value for the Erlang distribution.
+     * @param [in] lambda Lambda value for the Erlang distribution.
      */
     double GetValue(uint32_t k, double lambda);
 
-    /** \copydoc GetValue(uint32_t,double) */
+    /** @copydoc GetValue(uint32_t,double) */
     uint32_t GetInteger(uint32_t k, uint32_t lambda);
 
     // Inherited
@@ -1421,11 +1421,11 @@
 
   private:
     /**
-     * \brief Returns a random double from an exponential distribution with the specified mean and
+     * @brief Returns a random double from an exponential distribution with the specified mean and
      * upper bound.
-     * \param [in] mean Mean value of the random variables.
-     * \param [in] bound Upper bound on values returned.
-     * \return A floating point random value.
+     * @param [in] mean Mean value of the random variables.
+     * @param [in] bound Upper bound on values returned.
+     * @return A floating point random value.
      */
     double GetExponentialValue(double mean, double bound);
 
@@ -1438,8 +1438,8 @@
 }; // class ErlangRandomVariable
 
 /**
- * \ingroup randomvariable
- * \brief The triangular distribution Random Number Generator (RNG) that
+ * @ingroup randomvariable
+ * @brief The triangular distribution Random Number Generator (RNG) that
  * allows stream numbers to be set deterministically.
  *
  * This class supports the creation of objects that return random numbers
@@ -1477,7 +1477,7 @@
  *
  * where \f$u\f$ is a uniform random variable on [0,1).
  *
- * \par Example
+ * @par Example
  *
  * Here is an example of how to use this class:
  * \code{.cc}
@@ -1491,9 +1491,9 @@
  *   x->SetAttribute ("Max", DoubleValue (max));
  *
  *   double value = x->GetValue ();
- * \endcode
+ * @endcode
  *
- * \par Antithetic Values.
+ * @par Antithetic Values.
  *
  * If an instance of this RNG is configured to return antithetic values,
  * the actual value returned, \f$x'\f$, is generated as follows:
@@ -1512,44 +1512,44 @@
 {
   public:
     /**
-     * \brief Register this type.
-     * \return The object TypeId.
+     * @brief Register this type.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Creates a triangular distribution RNG with the default
+     * @brief Creates a triangular distribution RNG with the default
      * values for the mean, lower bound, and upper bound.
      */
     TriangularRandomVariable();
 
     /**
-     * \brief Returns the mean value for the triangular distribution returned by this RNG stream.
-     * \return The mean value for the triangular distribution returned by this RNG stream.
+     * @brief Returns the mean value for the triangular distribution returned by this RNG stream.
+     * @return The mean value for the triangular distribution returned by this RNG stream.
      */
     double GetMean() const;
 
     /**
-     * \brief Returns the lower bound for the triangular distribution returned by this RNG stream.
-     * \return The lower bound for the triangular distribution returned by this RNG stream.
+     * @brief Returns the lower bound for the triangular distribution returned by this RNG stream.
+     * @return The lower bound for the triangular distribution returned by this RNG stream.
      */
     double GetMin() const;
 
     /**
-     * \brief Returns the upper bound on values that can be returned by this RNG stream.
-     * \return The upper bound on values that can be returned by this RNG stream.
+     * @brief Returns the upper bound on values that can be returned by this RNG stream.
+     * @return The upper bound on values that can be returned by this RNG stream.
      */
     double GetMax() const;
 
     /**
-     * \copydoc GetValue()
-     * \param [in] mean Mean value for the triangular distribution.
-     * \param [in] min Low end of the range.
-     * \param [in] max High end of the range.
+     * @copydoc GetValue()
+     * @param [in] mean Mean value for the triangular distribution.
+     * @param [in] min Low end of the range.
+     * @param [in] max High end of the range.
      */
     double GetValue(double mean, double min, double max);
 
-    /** \copydoc GetValue(double,double,double) */
+    /** @copydoc GetValue(double,double,double) */
     uint32_t GetInteger(uint32_t mean, uint32_t min, uint32_t max);
 
     // Inherited
@@ -1569,8 +1569,8 @@
 }; // class TriangularRandomVariable
 
 /**
- * \ingroup randomvariable
- * \brief The Zipf distribution Random Number Generator (RNG) that
+ * @ingroup randomvariable
+ * @brief The Zipf distribution Random Number Generator (RNG) that
  * allows stream numbers to be set deterministically.
  *
  * This class supports the creation of objects that return random numbers
@@ -1617,7 +1617,7 @@
  *
  * where \f$u\f$ is a uniform random variable on [0,1).
  *
- * \par Example
+ * @par Example
  *
  * Here is an example of how to use this class:
  * \code{.cc}
@@ -1629,9 +1629,9 @@
  *   x->SetAttribute ("Alpha", DoubleValue (alpha));
  *
  *   double value = x->GetValue ();
- * \endcode
+ * @endcode
  *
- * \par Antithetic Values.
+ * @par Antithetic Values.
  *
  * If an instance of this RNG is configured to return antithetic values,
  * the actual value returned, \f$k'\f$, is the value such that
@@ -1645,38 +1645,38 @@
 {
   public:
     /**
-     * \brief Register this type.
-     * \return The object TypeId.
+     * @brief Register this type.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Creates a Zipf distribution RNG with the default values
+     * @brief Creates a Zipf distribution RNG with the default values
      * for n and alpha.
      */
     ZipfRandomVariable();
 
     /**
-     * \brief Returns the n value for the Zipf distribution returned by this RNG stream.
-     * \return The n value for the Zipf distribution returned by this RNG stream.
+     * @brief Returns the n value for the Zipf distribution returned by this RNG stream.
+     * @return The n value for the Zipf distribution returned by this RNG stream.
      */
     uint32_t GetN() const;
 
     /**
-     * \brief Returns the alpha value for the Zipf distribution returned by this RNG stream.
-     * \return The alpha value for the Zipf distribution returned by this RNG stream.
+     * @brief Returns the alpha value for the Zipf distribution returned by this RNG stream.
+     * @return The alpha value for the Zipf distribution returned by this RNG stream.
      */
     double GetAlpha() const;
 
     /**
-     * \copydoc GetValue()
-     * \param [in] n N value for the Zipf distribution.
-     * \param [in] alpha Alpha value for the Zipf distribution.
-     * \return A floating point random value.
+     * @copydoc GetValue()
+     * @param [in] n N value for the Zipf distribution.
+     * @param [in] alpha Alpha value for the Zipf distribution.
+     * @return A floating point random value.
      */
     double GetValue(uint32_t n, double alpha);
 
-    /** \copydoc GetValue(uint32_t,double) */
+    /** @copydoc GetValue(uint32_t,double) */
     uint32_t GetInteger(uint32_t n, uint32_t alpha);
 
     // Inherited
@@ -1696,8 +1696,8 @@
 }; // class ZipfRandomVariable
 
 /**
- * \ingroup randomvariable
- * \brief The zeta distribution Random Number Generator (RNG) that
+ * @ingroup randomvariable
+ * @brief The zeta distribution Random Number Generator (RNG) that
  * allows stream numbers to be set deterministically.
  *
  * This class supports the creation of objects that return random numbers
@@ -1736,7 +1736,7 @@
  * The Zeta RNG \f$x\f$ is generated by an accept-reject algorithm;
  * see the implementation of GetValue(double).
  *
- * \par Example
+ * @par Example
  *
  * Here is an example of how to use this class:
  * \code{.cc}
@@ -1746,9 +1746,9 @@
  *   x->SetAttribute ("Alpha", DoubleValue (alpha));
  *
  *   double value = x->GetValue ();
- * \endcode
+ * @endcode
  *
- * \par Antithetic Values.
+ * @par Antithetic Values.
  *
  * If an instance of this RNG is configured to return antithetic values,
  * the actual value returned, \f$x'\f$, is generated by using
@@ -1758,30 +1758,30 @@
 {
   public:
     /**
-     * \brief Register this type.
-     * \return The object TypeId.
+     * @brief Register this type.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Creates a zeta distribution RNG with the default value for
+     * @brief Creates a zeta distribution RNG with the default value for
      * alpha.
      */
     ZetaRandomVariable();
 
     /**
-     * \brief Returns the alpha value for the zeta distribution returned by this RNG stream.
-     * \return The alpha value for the zeta distribution returned by this RNG stream.
+     * @brief Returns the alpha value for the zeta distribution returned by this RNG stream.
+     * @return The alpha value for the zeta distribution returned by this RNG stream.
      */
     double GetAlpha() const;
 
     /**
-     * \copydoc GetValue()
-     * \param [in] alpha Alpha value for the zeta distribution.
+     * @copydoc GetValue()
+     * @param [in] alpha Alpha value for the zeta distribution.
      */
     double GetValue(double alpha);
 
-    /** \copydoc GetValue(double) */
+    /** @copydoc GetValue(double) */
     uint32_t GetInteger(uint32_t alpha);
 
     // Inherited
@@ -1798,8 +1798,8 @@
 }; // class ZetaRandomVariable
 
 /**
- * \ingroup randomvariable
- * \brief The Random Number Generator (RNG) that returns a predetermined sequence.
+ * @ingroup randomvariable
+ * @brief The Random Number Generator (RNG) that returns a predetermined sequence.
  *
  * Defines a random variable that has a specified, predetermined
  * sequence.  This would be useful when trying to force the RNG to
@@ -1812,7 +1812,7 @@
  * (deep-copy).  Also note that the sequence repeats if more values
  * are requested than are present in the array.
  *
- * \par Example
+ * @par Example
  *
  * Here is an example of how to use this class:
  * \code{.cc}
@@ -1822,7 +1822,7 @@
  *   s->SetValueArray (array);
  *
  *   double value = x->GetValue ();
- * \endcode
+ * @endcode
  *
  * This will return values in the repeating sequence
  *
@@ -1830,7 +1830,7 @@
  *      x \in 4, 4, 7, 7, 10, 10, 4, \dots
  *   \f]
  *
- * \par Antithetic Values.
+ * @par Antithetic Values.
  *
  * This RNG ignores the antithetic setting.
  */
@@ -1838,33 +1838,33 @@
 {
   public:
     /**
-     * \brief Register this type.
-     * \return The object TypeId.
+     * @brief Register this type.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Creates a deterministic RNG that will have a predetermined
+     * @brief Creates a deterministic RNG that will have a predetermined
      * sequence of values.
      */
     DeterministicRandomVariable();
     ~DeterministicRandomVariable() override;
 
     /**
-     * \brief Sets the array of values that holds the predetermined sequence.
+     * @brief Sets the array of values that holds the predetermined sequence.
      *
      * Note that the values in the array are copied and stored
      * (deep-copy).
-     * \param [in] values Array of random values to return in sequence.
+     * @param [in] values Array of random values to return in sequence.
      */
     void SetValueArray(const std::vector<double>& values);
     /**
-     * \brief Sets the array of values that holds the predetermined sequence.
+     * @brief Sets the array of values that holds the predetermined sequence.
      *
      * Note that the values in the array are copied and stored
      * (deep-copy).
-     * \param [in] values Array of random values to return in sequence.
-     * \param [in] length Number of values in the array.
+     * @param [in] values Array of random values to return in sequence.
+     * @param [in] length Number of values in the array.
      */
     void SetValueArray(const double* values, std::size_t length);
 
@@ -1885,8 +1885,8 @@
 }; // class DeterministicRandomVariable
 
 /**
- * \ingroup randomvariable
- * \brief The Random Number Generator (RNG) that has a specified
+ * @ingroup randomvariable
+ * @brief The Random Number Generator (RNG) that has a specified
  * empirical distribution.
  *
  * Defines a random variable that has a specified, empirical
@@ -1929,7 +1929,7 @@
  * beyond the first/last to work with), but simply return the extremal CDF
  * value, as in sampling.
  *
- * \par Example
+ * @par Example
  *
  * Here is an example of how to use this class:
  * \code{.cc}
@@ -1942,7 +1942,7 @@
  *    x->CDF (10.0,  1.0);
  *
  *    double value = x->GetValue ();
- * \endcode
+ * @endcode
  *
  * The expected values and probabilities returned by GetValue() are
  *
@@ -1964,7 +1964,7 @@
  *
  * See empirical-random-variable-example.cc for an example.
  *
- * \par Antithetic Values.
+ * @par Antithetic Values.
  *
  * If an instance of this RNG is configured to return antithetic values,
  * the actual value returned, \f$x'\f$, is generated by using
@@ -1974,22 +1974,22 @@
 {
   public:
     /**
-     * \brief Register this type.
-     * \return The object TypeId.
+     * @brief Register this type.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Creates an empirical RNG that has a specified, empirical
+     * @brief Creates an empirical RNG that has a specified, empirical
      * distribution, and configured for interpolating mode.
      */
     EmpiricalRandomVariable();
 
     /**
-     * \brief Specifies a point in the empirical distribution
+     * @brief Specifies a point in the empirical distribution
      *
-     * \param [in] v The function value for this point
-     * \param [in] c Probability that the function is less than or equal to \p v
+     * @param [in] v The function value for this point
+     * @param [in] c Probability that the function is less than or equal to \p v
      *               In other words this is cumulative distribution function
      *               at \p v.
      */
@@ -1997,32 +1997,32 @@
 
     // Inherited
     /**
-     * \copydoc RandomVariableStream::GetValue()
-     * \note This does not interpolate the CDF, but treats it as a
+     * @copydoc RandomVariableStream::GetValue()
+     * @note This does not interpolate the CDF, but treats it as a
      * stepwise continuous function.
      */
     double GetValue() override;
     using RandomVariableStream::GetInteger;
 
     /**
-     * \brief Returns the next value in the empirical distribution using
+     * @brief Returns the next value in the empirical distribution using
      * linear interpolation.
-     * \return The floating point next value in the empirical distribution
+     * @return The floating point next value in the empirical distribution
      * using linear interpolation.
      */
     virtual double Interpolate();
 
     /**
-     * \brief Switch the mode between sampling the CDF and interpolating.
+     * @brief Switch the mode between sampling the CDF and interpolating.
      * The default mode is sampling.
-     * \param [in] interpolate If \c true set to interpolation, otherwise sampling.
-     * \returns The previous interpolate flag value.
+     * @param [in] interpolate If \c true set to interpolation, otherwise sampling.
+     * @returns The previous interpolate flag value.
      */
     bool SetInterpolate(bool interpolate);
 
   private:
     /**
-     * \brief Check that the CDF is valid.
+     * @brief Check that the CDF is valid.
      *
      * A valid CDF has
      *
@@ -2033,7 +2033,7 @@
      */
     void Validate();
     /**
-     * \brief Do the initial rng draw and check against the extrema.
+     * @brief Do the initial rng draw and check against the extrema.
      *
      * If the extrema apply, \c value will have the extremal value
      * and the return will be \c true.
@@ -2041,23 +2041,23 @@
      * If the extrema do not apply \c value will have the URNG value
      * and the return will be \c false.
      *
-     * \param [out] value The extremal value, or the URNG.
-     * \returns \c true if \p value is the extremal result,
+     * @param [out] value The extremal value, or the URNG.
+     * @returns \c true if \p value is the extremal result,
      *          or \c false if \p value is the URNG value.
      */
     bool PreSample(double& value);
     /**
-     * \brief Sample the CDF as a histogram (without interpolation).
-     * \param [in] r The CDF value at which to sample the CDF.
-     * \return The bin value corresponding to \c r.
+     * @brief Sample the CDF as a histogram (without interpolation).
+     * @param [in] r The CDF value at which to sample the CDF.
+     * @return The bin value corresponding to \c r.
      */
     double DoSampleCDF(double r);
     /**
-     * \brief Linear interpolation between two points on the CDF to estimate
+     * @brief Linear interpolation between two points on the CDF to estimate
      * the value at \p r.
      *
-     * \param [in] r  The argument value to interpolate to.
-     * \returns The interpolated CDF at \pname{r}
+     * @param [in] r  The argument value to interpolate to.
+     * @returns The interpolated CDF at \pname{r}
      */
     double DoInterpolate(double r);
 
@@ -2078,8 +2078,8 @@
 }; // class EmpiricalRandomVariable
 
 /**
- * \ingroup randomvariable
- * \brief The binomial distribution Random Number Generator (RNG).
+ * @ingroup randomvariable
+ * @brief The binomial distribution Random Number Generator (RNG).
  *
  * This class supports the creation of objects that return random numbers
  * from a fixed binomial distribution. It also supports the generation of
@@ -2109,7 +2109,7 @@
  * The sum of these indicator functions over all trials gives the total
  * number of successes, which is the value of the binomial random variable.
  *
- * \par Example
+ * @par Example
  *
  * Here is an example of how to use this class:
  * \code{.cc}
@@ -2121,9 +2121,9 @@
  *   x->SetAttribute ("Probability", DoubleValue (probability));
  *
  *   double successes = x->GetValue ();
- * \endcode
+ * @endcode
  *
- * \par Antithetic Values.
+ * @par Antithetic Values.
  *
  * If an instance of this RNG is configured to return antithetic values,
  * the actual value returned, \f$n'\f$, for the Binomial process is determined by:
@@ -2145,24 +2145,24 @@
 {
   public:
     /**
-     * \brief Register this type.
-     * \return The object TypeId.
+     * @brief Register this type.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     BinomialRandomVariable();
 
     /**
-     * \copydoc GetValue()
-     * \param [in] trials Number of trials.
-     * \param [in] probability Probability of success in each trial.
-     * \return Returns a number within the range [0, trials] indicating the number of successful
+     * @copydoc GetValue()
+     * @param [in] trials Number of trials.
+     * @param [in] probability Probability of success in each trial.
+     * @return Returns a number within the range [0, trials] indicating the number of successful
      * trials.
      */
     double GetValue(uint32_t trials, double probability);
 
     /**
-     * \copydoc GetValue(uint32_t,double)
+     * @copydoc GetValue(uint32_t,double)
      * This function is similar to GetValue(), but it returns a uint32_t instead of a double.
      */
     uint32_t GetInteger(uint32_t trials, uint32_t probability);
@@ -2181,8 +2181,8 @@
 }; // class BinomialRandomVariable
 
 /**
- * \ingroup randomvariable
- * \brief The Bernoulli distribution Random Number Generator (RNG).
+ * @ingroup randomvariable
+ * @brief The Bernoulli distribution Random Number Generator (RNG).
  *
  * This class supports the creation of objects that return random numbers
  * from a fixed Bernoulli distribution. It also supports the generation of
@@ -2212,7 +2212,7 @@
  *
  * where \f$u\f$ is a uniform random variable on [0,1) and \f$p\f$ is the probability of success.
  *
- * \par Example
+ * @par Example
  *
  * Here is an example of how to use this class:
  * \code{.cc}
@@ -2222,9 +2222,9 @@
  *   x->SetAttribute ("Probability", DoubleValue (probability));
  *
  *   double success = x->GetValue ();
- * \endcode
+ * @endcode
  *
- * \par Antithetic Values.
+ * @par Antithetic Values.
  *
  * If an instance of this RNG is configured to return antithetic values,
  * the actual value returned, \f$x'\f$, is determined by:
@@ -2243,22 +2243,22 @@
 {
   public:
     /**
-     * \brief Register this type.
-     * \return The object TypeId.
+     * @brief Register this type.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     BernoulliRandomVariable();
 
     /**
-     * \copydoc GetValue()
-     * \param [in] probability Probability of success.
-     * \return Returns 1 if the trial is successful, or 0 if it is not.
+     * @copydoc GetValue()
+     * @param [in] probability Probability of success.
+     * @return Returns 1 if the trial is successful, or 0 if it is not.
      */
     double GetValue(double probability);
 
     /**
-     * \copydoc GetValue(double)
+     * @copydoc GetValue(double)
      * This function is similar to GetValue(), but it returns a uint32_t instead of a double.
      */
     uint32_t GetInteger(uint32_t probability);
@@ -2274,8 +2274,8 @@
 }; // class BernoulliRandomVariable
 
 /**
- * \ingroup randomvariable
- * \brief The laplacian distribution Random Number Generator (RNG).
+ * @ingroup randomvariable
+ * @brief The laplacian distribution Random Number Generator (RNG).
  *
  * This class supports the creation of objects that return random numbers
  * from a fixed laplacian distribution.
@@ -2299,7 +2299,7 @@
  *
  * where \f$u\f$ is a uniform random variable on [-0.5,0.5).
  *
- * \par Bounded Distribution
+ * @par Bounded Distribution
  *
  * The Laplacian distribution can be bounded symmetrically about the mean by
  * the \c Bound parameter, \f$b\f$, _i.e._ its values are confined to the interval
@@ -2309,46 +2309,46 @@
 {
   public:
     /**
-     * \brief Register this type.
-     * \return The object TypeId.
+     * @brief Register this type.
+     * @return The object TypeId.
      */
     static TypeId GetTypeId();
 
     /**
-     * \brief Creates an unbounded laplacian distribution RNG with the default
+     * @brief Creates an unbounded laplacian distribution RNG with the default
      * values for the location and the scale.
      */
     LaplacianRandomVariable();
 
     /**
-     * \brief Get the configured location value of this RNG.
+     * @brief Get the configured location value of this RNG.
      *
-     * \return The configured location value.
+     * @return The configured location value.
      */
     double GetLocation() const;
 
     /**
-     * \brief Get the configured scale value of this RNG.
+     * @brief Get the configured scale value of this RNG.
      *
-     * \return The configured scale value.
+     * @return The configured scale value.
      */
     double GetScale() const;
 
     /**
-     * \brief Get the configured bound of this RNG.
-     * \return The bound.
+     * @brief Get the configured bound of this RNG.
+     * @return The bound.
      */
     double GetBound() const;
 
     /**
-     * \copydoc GetValue()
-     * \param [in] location location value of the laplacian distribution.
-     * \param [in] scale scale value of the laplacian distribution.
-     * \param [in] bound bound on values returned.
+     * @copydoc GetValue()
+     * @param [in] location location value of the laplacian distribution.
+     * @param [in] scale scale value of the laplacian distribution.
+     * @param [in] bound bound on values returned.
      */
     double GetValue(double location, double scale, double bound);
 
-    /** \copydoc GetValue(double,double,double) */
+    /** @copydoc GetValue(double,double,double) */
     uint32_t GetInteger(uint32_t location, uint32_t scale, uint32_t bound);
 
     // Inherited
@@ -2356,14 +2356,14 @@
     using RandomVariableStream::GetInteger;
 
     /**
-     * \brief Returns the variance value for the laplacian distribution returned by this RNG stream.
-     * \return The variance value for the laplacian distribution returned by this RNG stream.
+     * @brief Returns the variance value for the laplacian distribution returned by this RNG stream.
+     * @return The variance value for the laplacian distribution returned by this RNG stream.
      */
     double GetVariance() const;
 
     /**
-     * \copydoc GetVariance()
-     * \param [in] scale scale value of the laplacian distribution.
+     * @copydoc GetVariance()
+     * @param [in] scale scale value of the laplacian distribution.
      */
     static double GetVariance(double scale);
 
@@ -2380,8 +2380,8 @@
 }; // class LaplacianRandomVariable
 
 /**
- * \ingroup randomvariable
- * \brief The Largest Extreme Value distribution Random Number Generator (RNG).
+ * @ingroup randomvariable
+ * @brief The Largest Extreme Value distribution Random Number Generator (RNG).
  *
  * This class supports the creation of objects that return random numbers from a fixed Largest
  * Extreme Value distribution. This corresponds to the type-I Generalized Extreme Value
